# Retrieve a Session

Retrieves the details of a Financial Connections `Session`

## Prerequisites

Before you can run the following code snippet, you need to call these APIs with the provided parameters to set up the prerequisite API object(s).

1. createCustomer
POST /v1/customers {"name":"Jenny Rosen","email":"jennyrosen@example.com"}
2. createFinancialConnectionsSession
POST /v1/financial_connections/sessions {"account_holder":{"type":"customer","customer":"${node.prerequisites.createCustomer.createCustomer:id}"},"permissions":["payment_method","balances"],"filters":{"countries":["US"]}}

## Request

```curl
curl https://api.stripe.com/v1/financial_connections/sessions/{{SESSION_ID}} \
  -u "<<YOUR_SECRET_KEY>>"
```

### Response

```json
{
  "id": "fcsess_1MwtnGLkdIwHu7ixs7NPQ7dq",
  "object": "financial_connections.session",
  "account_holder": {
    "customer": "cus_NiKSWdaFz2F6I0",
    "type": "customer"
  },
  "accounts": {
    "object": "list",
    "data": [],
    "has_more": false,
    "total_count": 0,
    "url": "/v1/financial_connections/accounts"
  },
  "client_secret": "fcsess_client_secret_KRJTKvCY3IKoYTrW18EazcO3",
  "filters": {
    "countries": [
      "US"
    ]
  },
  "livemode": false,
  "permissions": [
    "balances",
    "payment_method"
  ]
}
```

## Returns

Returns a `Session` object if a valid identifier was provided, and raises [an error](https://docs.stripe.com/api/financial_connections/sessions/retrieve.md#errors) otherwise.
